POV-Ray : Newsgroups : povray.beta-test : Spline causing 3.8 beta 2 to crash : Re: Spline causing 3.8 beta 2 to crash Server Time
23 Jun 2024 14:24:36 EDT (-0400)
  Re: Spline causing 3.8 beta 2 to crash  
From: Cousin Ricky
Date: 13 Feb 2023 08:36:26
Message: <63ea3cda$1@news.povray.org>
On 2023-02-12 19:43 (-4), William F Pokorny wrote:
> 
> The 22.04 Ubuntu upgrade itself failed for me - a first. I had to patch
> and polish to get things going at all. My guess is they'd not taken code
> developers very much into account while testing. Developer related stuff
> seemed to be the source of many issues.

My last few upgrades of openSUSE have seen more and more developer tools
removed from the basic OS.  The excuse I heard was "security," but I'm
starting to wonder if the overlords are seeing themselves as gate keepers.

> As you know, Christoph backed up the parser from the one I branched povr
> off for the v3.8 release. In other words, I know the parser itself is
> different than what is in povr and v4.0/master, but hopefully not in a
> way which too much changed the spline parsing...

For what it's worth, these were my results with openSUSE Leap 15.3:

  povray-3.8.0-alpha.9945627   std::bad_alloc
  povray-3.8.0-beta.1          std::bad_alloc
  povray-3.8.0-beta.2          segmentation fault
  povray-3.8.0-alpha.10013324  std::bad_alloc
  povray-3.8.0-alpha.10064268  std::bad_alloc

I believe alpha.9945627 was the rollback point.


Post a reply to this message

Copyright 2003-2023 Persistence of Vision Raytracer Pty. Ltd.